Subject: Re: [PATCH] Don't create nested target directories automatically

From: goredo <[email-masked]>
Date: Fri, 15 Apr 2022 09:28:33 +0000 (UTC)

I tried apenwarr and it works on targets in non-existent directories. I remember another, I think it was redo-sh, which failed.

Redo implementations that don't work on targets in non-existent directories are dysfunctional, in my opinion. The reason is that a) you cannot depend on directories, only files and b) redo's discovery algorithm does not allow you to build targets from higher levels to lower levels. When you call redo a/b/c, the target a/b/c is called first and may or may not depend on another target that produces directories a/b/ and a/. If target a/b/c fails immediately, the others are never called.